#include <bits/stdc++.h>
using namespace std;
int main() 
{
ios_base::sync_with_stdio(false);
cin.tie(NULL);
long long n,a,b;
char c;
cin>>n;
for(int i=0;i<n-1;i++)
cin>>a>>b>>c;
cout<<0<<endl;
return 0;
}